<form [formGroup]="authorForm">
    <div class="p-fluid p-grid">
      <div class="p-field p-col-12 p-md-3">
        <span class="p-float-label">
          <input
            id="name"
            pInputText
            type="text"
            formControlName="name"
            name="name"
          />
          <label class="required" for="name">
            {{ 'BOOK_MENU.BOOK_SEARCH.AUTHOR.HEADER.NAME' | translate }}
          </label>
        </span>
      </div>
      <div class="p-field p-col-12 p-md-3">
        <span class="p-float-label">
          <input
            id="lastName"
            pInputText
            type="text"
            formControlName="lastName"
            name="lastName"
          />
          <label class="required" for="lastName">
            {{ 'BOOK_MENU.BOOK_SEARCH.AUTHOR.HEADER.LASTNAME' | translate }}
          </label>
        </span>
      </div>
      <div class="p-field p-col-12 p-md-3">
        <span class="p-float-label">
          <p-inputNumber
            id="age"
            min="1"
            formControlName="age"
            [showButtons]="true"
          ></p-inputNumber>
          <label for="age">
            {{ "BOOK_MENU.BOOK_SEARCH.AUTHOR.HEADER.AGE" | translate }}
          </label>
        </span>
      </div>
    </div>
    <div class="p-field p-col-12 p-md-3">
      <span class="p-float-label">
        <p-dropdown
          id="authorStatus"
          [options]="authorStatus"
          appendTo="body"
          formControlName="authorStatus"
          name="authorStatus"
          [autoDisplayFirst]="false"
          [showClear]="true"
        ></p-dropdown>
        <label class="required" for="authorStatus">
          {{ 'BOOK_MENU.BOOK_SEARCH.AUTHOR.HEADER.AUTHOR_STATUS' | translate }}
        </label>
      </span>
    </div>
  </form>

